﻿//TL First Steps#0
function getTutorialSteps()
{
  return [
    function() {
        tutorial.text = qsTr("欢迎进入 ModOrganizer 入门教程！此教程将向你介绍本工具中最重要的几个功能。")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("在开始教程之前，请允许我先讲一下查看此教程的另一种方法。")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("高亮的图标表示 MO 自动检测到的安装问题。")
        if (!tutorialControl.waitForAction("actionProblems")) {
            highlightAction("actionProblems", false)
            waitForClick()
        } else {
            tutorial.text += qsTr("\n现在检测到一个问题了，但你可以先把它搁置，直到此教程结束后再修复。")
            highlightAction("actionProblems", true)
        }
    },

    function() {
        tutorial.text = qsTr("此按钮提供了多样的信息以及更深入的指南。")
        highlightItem("actionHelp", true)
        tutorialControl.waitForButton("actionHelp")
    },

    function() {
        tutorial.text = qsTr("最后，Mod Organizer 每一个内容都有鼠标提示。如果你的操作遇到了麻烦，"
                           + "你可以把鼠标移动到项目顶部，然后你就可以看到简短的说明。或者你可以"
                           + "使用帮助菜单下面的\"界面帮助\"以获得更详细的介绍")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("此列表显示了所有通过 MO 安装的 Mod。教程第一步中我们将介绍如何在这边增加内容。")
        highlightItem("modList", false)
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("把 Mod 添加到 ModOrganizer 有很多方法。最简单的是使用内置N网浏览器。单击\"N网\"")
        highlightAction("actionNexus", true)
        manager.activateTutorial("NexusDialog", "tutorial_firststeps_browser.js")
        tutorialControl.waitForAction("actionNexus")
    },

    function() {
        tutorial.text = qsTr("下载将会开始。双击项目即可安装。")
        applicationWindow.modInstalled.connect(nextStep)
        highlightItem("downloadView", true)
    },

    function() {
        unhighlight()
        applicationWindow.modInstalled.disconnect(nextStep)
        tutorial.text = qsTr("好的，现在你安装了你的第一个 Mod 。需要注意的是，根据 Mod 打包形式的不同，你的安装过程也会不同。")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("我说过添加 Mod 进 MO 有多种方法.....现在请打开设置对话框。")
        highlightAction("actionSettings", true)
        manager.activateTutorial("SettingsDialog", "tutorial_firststeps_settings.js")
        tutorialControl.waitForAction("actionSettings")
    },

    function() {
        tutorial.text = qsTr("直到现在，我们只提到了如何从N网下载 Mod 。\n"
                             + "不过，你也可以借助 \"安装 Mod\" 按钮安装本地的 Mod。")
        highlightAction("actionInstallMod", false)
        waitForClick()
    },

    function() {
        unhighlight()
        tutorial.text = qsTr("现在你已经了解了下载与安装 Mod 的方法，不过他们还不会在游戏中生效...")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("根据你自己的需求，再安装几个 Mod 。然后在左边的面板中勾选它们从而使其可以在游戏中生效。"
                             + "没有勾选的 Mod 将无法在游戏中生效。")
        highlightItem("modList", true)
        modList.modlist_changed.connect(nextStep)
    },

    function() {
        modList.modlist_changed.disconnect(nextStep)
        unhighlight()
        tutorial.text = qsTr("对于部分 Mod，只要在左边面板中勾选上就够了...")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("...但大部分 Mod 都有插件。这里面有游戏本体需要的插件或者"
                            +"增加游戏新内容(新的武器、盔甲、任务、场景等)所需要的插件。"
                            +"打开 \"ESPs\" 标签，你可以看到列表中有很多插件。")
        if (tutorialControl.waitForTabOpen("tabWidget", 0)) {
            highlightItem("tabWidget", true)
        } else {
            waitForClick()
        }
    },

    function() {
        tutorial.text = qsTr("你会发现一些插件是灰色的。表示那些插件是游戏运行所必需的，你无法禁止掉。")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("一个 Mod 可能包含零个、一个或者多个esp。部分或者所有有可能是可选的。"
                              + "如果不是很清楚的，请查看说明文档。具体做法：右击 Mod ，选择\"信息\"。")
        highlightItem("modList", true)
        manager.activateTutorial("ModInfoDialog", "tutorial_firststeps_modinfo.js")
        applicationWindow.modInfoDisplayed.connect(nextStep)
    },

    function() {
        tutorial.text = qsTr("另一个典型文件是BSAs。可以理解为游戏资源压缩包。"
                             + "请打开 \"BSAs\" 标签。")
        if (tutorialControl.waitForTabOpen("tabWidget", 1)) {
            highlightItem("tabWidget", true)
        } else {
            waitForClick()
        }
    },

    function() {
        tutorial.text = qsTr("因为BSA里面的文件与非BSA打包的文件的加载方式很复杂，"
                           + "而且如果BSA没有加载或者加载错误的话，你的游戏甚至会跳出。")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("MO使用了一些\"魔法\"，可以用来让所有列表中勾选的BSA都能以正确的顺序与非BSA打包的文件交错加载。"
                           + "通常，最佳的办法是勾选那些旁边有一个感叹号的所有BSA。")
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("现在你知道了如何下载，安装以及开启 Mod 。\n"
                           + "接下来需要注意的是以后每次启动游戏都在 MO 中启动。"
                           + "否则你在这边安装的 Mod 将无法正常工作。")
        highlightItem("startGroup", false)
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("此下拉框让你选择开启<i>何种程序</i>。 你可以开启游戏、Launcher、脚本扩展"
                              + "Creation Kit 或者其他工具。如果你需要添加其他工具，你还可以编辑此列表"
                              + "不过那已经属于较复杂的内容了。")
        highlightItem("executablesListBox", false)
        waitForClick()
    },

    function() {
        tutorial.text = qsTr("现在你完成了基础教程。接下来你可以开始使用工具了。"
                           + "安装了更多的 Mod 之后，你可能还会想阅读冲突部分的教程。")
        highlightItem("startButton", false)
        waitForClick()
    }
  ]
}
